Servlet and JavaServer Pages API Documentation: Class TagAttributeInfo

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.servlet.jsp.tagext
Class TagAttributeInfo

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagAttributeInfo

public class TagAttributeInfo
extends java.lang.Object

Information on Tag Attributes; this class is instantiated from the Tag Library Descriptor file (TLD). Only the information needed to generate code is included here. Other information like SCHEMA for validation belongs elsewhere.

Field Summary
`static java.lang.String` | `ID` "id" is wired in to be ID.

Constructor Summary
`TagAttributeInfo(java.lang.String name, boolean required, java.lang.String type, boolean reqTime)` Constructor for TagAttributeInfo.

Method Summary
`boolean` | `canBeRequestTime()` Can this attribute hold a request-time value?
`static TagAttributeInfo` | `getIdAttribute(TagAttributeInfo[] a)` Convenience method that goes through an array of TagAttributeInfo objects and looks for "id".
`java.lang.String` | `getName()`
`java.lang.String` | `getTypeName()`
`boolean` | `isRequired()` Is this required or not?
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ID

    public static final java.lang.String ID

  "id" is wired in to be ID. There is no real benefit in having it be something else IDREFs are not handled any differently.

Constructor Detail

### TagAttributeInfo

    public TagAttributeInfo(java.lang.String name,
                            boolean required,
                            java.lang.String type,
                            boolean reqTime)

  Constructor for TagAttributeInfo. No public constructor; this class is to be instantiated only from the TagLibrary code under request from some JSP code that is parsing a TLD (Tag Library Descriptor).
  Parameters:
    `name` - The name of the attribute
    `type` - The name of the type of the attribute
    `reqTime` - Can this attribute hold a request-time Attribute

Method Detail

### getName

    public java.lang.String getName()

### getTypeName

    public java.lang.String getTypeName()

### canBeRequestTime

    public boolean canBeRequestTime()

  Can this attribute hold a request-time value?

### isRequired

    public boolean isRequired()

  Is this required or not?

### getIdAttribute

    public static TagAttributeInfo getIdAttribute(TagAttributeInfo[] a)

  Convenience method that goes through an array of TagAttributeInfo objects and looks for "id".

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2000 The Apache Software Foundation. All Rights Reserved.